Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockBaseURL

    java.lang.Object
      org.springframework.mock.web.portlet.MockBaseURL

All Implemented Interfaces:
  javax.portlet.BaseURL

Direct Known Subclasses:
  MockPortletURL, MockResourceURL

    public abstract class MockBaseURL

extends Object
implements javax.portlet.BaseURL

Mock implementation of the `BaseURL` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Field Summary
`protected Map<String,String[]>` | `parameters`
`static String` | `URL_TYPE_ACTION`
`static String` | `URL_TYPE_RENDER`

Constructor Summary
`MockBaseURL()`

Method Summary
`void` | `addProperty(String key, String value)`
`protected String` | `encodeParameter(String name, String value)`
`protected String` | `encodeParameter(String name, String[] values)`
`String` | `getParameter(String name)`
`Map<String,String[]>` | `getParameterMap()`
`Set<String>` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`
`Map<String,String[]>` | `getProperties()`
`boolean` | `isSecure()`
`void` | `setParameter(String key, String value)`
`void` | `setParameter(String key, String[] values)`
`void` | `setParameters(Map<String,String[]> parameters)`
`void` | `setProperty(String key, String value)`
`void` | `setSecure(boolean secure)`
`void` | `write(Writer out)`
`void` | `write(Writer out, boolean escapeXML)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.BaseURL
`toString`

Field Detail

### URL_TYPE_RENDER

    public static final String URL_TYPE_RENDER

See Also:
  Constant Field Values

### URL_TYPE_ACTION

    public static final String URL_TYPE_ACTION

See Also:
  Constant Field Values

### parameters

    protected final Map<String,String[]> parameters

Constructor Detail

### MockBaseURL

    public MockBaseURL()

Method Detail

### setParameter

    public void setParameter(String key,
                             String value)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`

### setParameter

    public void setParameter(String key,
                             String[] values)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`

### setParameters

    public void setParameters(Map<String,String[]> parameters)

  Specified by:
    `setParameters` in interface `javax.portlet.BaseURL`

### getParameterNames

    public Set<String> getParameterNames()

### getParameter

    public String getParameter(String name)

### getParameterValues

    public String[] getParameterValues(String name)

### getParameterMap

    public Map<String,String[]> getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.portlet.BaseURL`

### setSecure

    public void setSecure(boolean secure)
                   throws javax.portlet.PortletSecurityException

  Specified by:
    `setSecure` in interface `javax.portlet.BaseURL`
  Throws:
    `javax.portlet.PortletSecurityException`

### isSecure

    public boolean isSecure()

### write

    public void write(Writer out)
               throws IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `IOException`

### write

    public void write(Writer out,
                      boolean escapeXML)
               throws IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `IOException`

### addProperty

    public void addProperty(String key,
                            String value)

  Specified by:
    `addProperty` in interface `javax.portlet.BaseURL`

### setProperty

    public void setProperty(String key,
                            String value)

  Specified by:
    `setProperty` in interface `javax.portlet.BaseURL`

### getProperties

    public Map<String,String[]> getProperties()

### encodeParameter

    protected String encodeParameter(String name,
                                     String value)

### encodeParameter

    protected String encodeParameter(String name,
                                     String[] values)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD